Interface SmbEndpointBuilderFactory.SmbBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
SmbEndpointBuilderFactory
public static interface SmbEndpointBuilderFactory.SmbBuilders
-
Method Summary
Modifier and TypeMethodDescriptionSMB (camel-smb) Receive files from SMB (Server Message Block) shares.SMB (camel-smb) Receive files from SMB (Server Message Block) shares.
-
Method Details
-
smb
SMB (camel-smb) Receive files from SMB (Server Message Block) shares. Category: file Since: 4.3 Maven coordinates: org.apache.camel:camel-smb Syntax:smb:hostname:port/shareNamePath parameter: hostname (required) The share hostname or IP address Path parameter: port The share port number Default value: 445 Path parameter: shareName The name of the share to connect to.- Parameters:
path- hostname:port/shareName- Returns:
- the dsl builder
-
smb
SMB (camel-smb) Receive files from SMB (Server Message Block) shares. Category: file Since: 4.3 Maven coordinates: org.apache.camel:camel-smb Syntax:smb:hostname:port/shareNamePath parameter: hostname (required) The share hostname or IP address Path parameter: port The share port number Default value: 445 Path parameter: shareName The name of the share to connect to.- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- hostname:port/shareName- Returns:
- the dsl builder
-